/**
 *******************************************************************************
 * @file    tmpm3Vx_dnf_int.c
 * @brief   All interrupt request functions definition of DNF
 *          for the TOSHIBA 'TMPM3Vx' Device Series 
 * @version V0.200
 * @date    2019/05/10
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm3Vx_dnf_int.h"
/* External variables --------------------------------------------------------*/
volatile extern uint32_t Flag;
/* Private functions ---------------------------------------------------------*/

/**
  * @brief  INT3 noise filter interrupt.
  * @param  None
  * @retval None
  */
void INT3_IRQHandler(void)
{
    Flag = 1U;
    NVIC_DisableIRQ(INT3_IRQn);
}

/*********************************** END OF FILE ******************************/
