/** 
 *******************************************************************************
 * @file    main.h
 * @brief   The application functions of FUART_LoopBack demo for the
 *          TOSHIBA 'TMPM3Vx' Device Series 
 * @version V0.200
 * @date    2019/05/10
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm3Vx_fuart.h"
#include "led.h"
#include "sw.h"
#include "stdio.h"

typedef enum {
    DIFF = 0U,
    SAME = 1U
} TestResult;

extern void Delay(uint32_t time);
void LED_TXDataDisplay(uint32_t dat);
TestResult Buffercompare(const uint32_t * Src, const uint32_t * Dst, uint32_t Len);
void FUART_GPIOConfig(void);
void FUART_ChInit(void);

#endif
