/**
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of OFD demo for the
 *          TOSHIBA 'TMPM3Vx' Device Series
 * @version V0.200
 * @date    2019/05/10
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#ifdef TMPM3V6
#include "TMPM3V6.h"
#elif TMPM3V4
#include "TMPM3V4.h"
#endif
#include "tmpm3Vx_ofd.h"
#include "tmpm3Vx_cg.h"
#include "led.h"

#define OFD_LOWER_COUNT  ((uint32_t)0x24U)
#define OFD_HIGHER_COUNT ((uint32_t)0x86U)

#define OFD_LOWER_COUNT_ABNORMAL  ((uint32_t)0x60)
#define OFD_HIGHER_COUNT_ABNORMAL ((uint32_t)0x65)
/* Watchdog Timer (WD) Configuration */
#define WD_SETUP    1
#define WDMOD_Val   (0x00000000UL)
#define WDCR_Val    (0x000000B1UL)
extern void SystemInit (void);
#endif                          /* __MAIN_H */
