/** 
 *******************************************************************************
 * @file    tmrb_LeadingTimingdisplay.c
 * @brief   the application functions of TMRB_PPG demo for the TOSHIBA
 *          'TMPM3Vx' Device Series 
 * @version V0.200
 * @date    2019/05/10
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmrb_LeadingTimingdisplay.h"

/**
  * @brief  LeadingTiming Rate to String
  * @param  LeadingTiming number
  * @retval LeadingTiming rate string
  */
char *LeadingTimingRateToString(uint8_t num)
{
    static char LeadingTiming[19] = "LeadingTiming:   %";

    switch (num) {
    case 0:
        LeadingTiming[15] = '1';
        LeadingTiming[16] = '0';
        break;                  /* LeadingTiming: 10% */
    case 1:
        LeadingTiming[15] = '2';
        LeadingTiming[16] = '5';
        break;                  /* LeadingTiming: 25% */
    case 2:
        LeadingTiming[15] = '5';
        LeadingTiming[16] = '0';
        break;                  /* LeadingTiming: 50% */
    case 3:
        LeadingTiming[15] = '7';
        LeadingTiming[16] = '5';
        break;                  /* LeadingTiming: 75% */
    case 4:
        LeadingTiming[15] = '9';
        LeadingTiming[16] = '0';
        break;                  /* LeadingTiming: 90% */
    default:
        /* do nothing */
        break;                  /* no other cases */
    }

    return LeadingTiming;
}
