/** 
 *******************************************************************************
 * @file    sw.h
 * @brief   SW functions prototypes for the TOSHIBA 'TMPM3Vx' Device Series
 * @version V0.200
 * @date    2019/05/10
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __SW_H
#define __SW_H

#ifdef __cplusplus
extern "C" {
#endif  /*__cplusplus*/

/* Includes ------------------------------------------------------------------*/
#ifdef TMPM3V6
#include "TMPM3V6.h"
#elif TMPM3V4
#include "TMPM3V4.h"
#endif
#include "tmpm3Vx_gpio.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
#define SW0         (0U)
#define SW1         (1U)
#define SW2         (2U)
#define SW3         (3U)
#define SW4         (4U)
#define SW5         (5U)
#define SW6         (6U)
#define SW7         (7U)

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void SW_Init(void);
uint8_t SW_Get(uint8_t sw);

#ifdef __cplusplus
}
#endif                          /* __cplusplus */
#endif                          /* SW_H */
